com.fasterxml.jackson.databind.util

## Class NameTransformer.Chained

- java.lang.Object
- - com.fasterxml.jackson.databind.util.NameTransformer
  - - com.fasterxml.jackson.databind.util.NameTransformer.Chained

All Implemented Interfaces:
  Serializable

Enclosing class:
  NameTransformer

    public static class NameTransformer.Chained
    extends NameTransformer
    implements Serializable

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.util.NameTransformer

`NameTransformer.Chained, NameTransformer.NopTransformer`

### Field Summary

Fields
`protected NameTransformer` `_t1`
`protected NameTransformer` `_t2`

### Fields inherited from class com.fasterxml.jackson.databind.util.NameTransformer

`NOP`

### Constructor Summary

Constructors
Constructor and Description
`NameTransformer.Chained(NameTransformer t1, NameTransformer t2)`

### Method Summary

Methods
`String` `reverse(String transformed)` Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name cannot have been result of calling `NameTransformer.transform(java.lang.String)` of this object.
`String` `toString()`
`String` `transform(String name)` Method called when (forward) transformation is needed.

### Methods inherited from class com.fasterxml.jackson.databind.util.NameTransformer

`chainedTransformer, simpleTransformer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _t1

    protected final NameTransformer _t1

#### _t2

    protected final NameTransformer _t2

### Constructor Detail

#### NameTransformer.Chained

    public NameTransformer.Chained(NameTransformer t1,
                           NameTransformer t2)

### Method Detail

#### transform

    public String transform(String name)

Description copied from class: `NameTransformer`
Method called when (forward) transformation is needed.

Specified by:
  `transform` in class `NameTransformer`

#### reverse

    public String reverse(String transformed)

Description copied from class: `NameTransformer`
Method called when reversal of transformation is needed; should return null if this is not possible, that is, given name cannot have been result of calling `NameTransformer.transform(java.lang.String)` of this object.

Specified by:
  `reverse` in class `NameTransformer`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`